diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-users-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-users-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-users-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-users-list-table.php	2011-09-21 00:35:57.000000000 -0500
***************
*** 112,118 ****
  
  			$name = translate_user_role( $name );
  			/* translators: User role name with count */
! 			$name = sprintf( __('%1$s <span class="count">(%2$s)</span>'), $name, $avail_roles[$this_role] );
  			$role_links[$this_role] = "<a href='" . esc_url( add_query_arg( 'role', $this_role, $url ) ) . "'$class>$name</a>";
  		}
  
--- 112,118 ----
  
  			$name = translate_user_role( $name );
  			/* translators: User role name with count */
! 			$name = sprintf( __('%1$s <span class="count">(%2$s)</span>'), $name, number_format_i18n( $avail_roles[$this_role] ) );
  			$role_links[$this_role] = "<a href='" . esc_url( add_query_arg( 'role', $this_role, $url ) ) . "'$class>$name</a>";
  		}
  
***************
*** 219,225 ****
  
  		if ( !( is_object( $user_object ) && is_a( $user_object, 'WP_User' ) ) )
  			$user_object = new WP_User( (int) $user_object );
! 		$user_object = sanitize_user_object( $user_object, 'display' );
  		$email = $user_object->user_email;
  
  		if ( $this->is_site_users )
--- 219,225 ----
  
  		if ( !( is_object( $user_object ) && is_a( $user_object, 'WP_User' ) ) )
  			$user_object = new WP_User( (int) $user_object );
! 		$user_object->filter = 'display';
  		$email = $user_object->user_email;
  
  		if ( $this->is_site_users )
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/dashboard.php ./wordpress-3.3/wp-admin/includes/dashboard.php
*** ./wordpress-3.2.1/wp-admin/includes/dashboard.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/dashboard.php	2011-12-02 14:48:47.000000000 -0600
***************
*** 176,182 ****
  	if ( 'dashboard_browser_nag' === $widget_id )
  		$priority = 'high';
  
! 	add_meta_box( $widget_id, $widget_name, $callback, $screen->id, $location, $priority );
  }
  
  function _wp_dashboard_control_callback( $dashboard, $meta_box ) {
--- 176,182 ----
  	if ( 'dashboard_browser_nag' === $widget_id )
  		$priority = 'high';
  
! 	add_meta_box( $widget_id, $widget_name, $callback, $screen, $location, $priority );
  }
  
  function _wp_dashboard_control_callback( $dashboard, $meta_box ) {
***************
*** 200,232 ****
  	$hide2 = $hide3 = $hide4 = '';
  	switch ( $screen_layout_columns ) {
  		case 4:
! 			$width = 'width:24.5%;';
  			break;
  		case 3:
! 			$width = 'width:32.67%;';
  			$hide4 = 'display:none;';
  			break;
  		case 2:
! 			$width = 'width:49%;';
  			$hide3 = $hide4 = 'display:none;';
  			break;
  		default:
! 			$width = 'width:98%;';
  			$hide2 = $hide3 = $hide4 = 'display:none;';
  	}
  ?>
  <div id="dashboard-widgets" class="metabox-holder">
  <?php
! 	echo "\t<div class='postbox-container' style='$width'>\n";
  	do_meta_boxes( $screen->id, 'normal', '' );
  
! 	echo "\t</div><div class='postbox-container' style='{$hide2}$width'>\n";
  	do_meta_boxes( $screen->id, 'side', '' );
  
! 	echo "\t</div><div class='postbox-container' style='{$hide3}$width'>\n";
  	do_meta_boxes( $screen->id, 'column3', '' );
  
! 	echo "\t</div><div class='postbox-container' style='{$hide4}$width'>\n";
  	do_meta_boxes( $screen->id, 'column4', '' );
  ?>
  </div></div>
--- 200,232 ----
  	$hide2 = $hide3 = $hide4 = '';
  	switch ( $screen_layout_columns ) {
  		case 4:
! 			$width = 'width:25%;';
  			break;
  		case 3:
! 			$width = 'width:33.333333%;';
  			$hide4 = 'display:none;';
  			break;
  		case 2:
! 			$width = 'width:50%;';
  			$hide3 = $hide4 = 'display:none;';
  			break;
  		default:
! 			$width = 'width:100%;';
  			$hide2 = $hide3 = $hide4 = 'display:none;';
  	}
  ?>
  <div id="dashboard-widgets" class="metabox-holder">
  <?php
! 	echo "\t<div id='postbox-container-1' class='postbox-container' style='$width'>\n";
  	do_meta_boxes( $screen->id, 'normal', '' );
  
! 	echo "\t</div><div id='postbox-container-2' class='postbox-container' style='{$hide2}$width'>\n";
  	do_meta_boxes( $screen->id, 'side', '' );
  
! 	echo "\t</div><div id='postbox-container-3' class='postbox-container' style='{$hide3}$width'>\n";
  	do_meta_boxes( $screen->id, 'column3', '' );
  
! 	echo "\t</div><div id='postbox-container-4' class='postbox-container' style='{$hide4}$width'>\n";
  	do_meta_boxes( $screen->id, 'column4', '' );
  ?>
  </div></div>
***************
*** 387,393 ****
  	$ct = current_theme_info();
  
  	echo "\n\t<p>";
! 	if ( !empty($wp_registered_sidebars) ) {
  		$sidebars_widgets = wp_get_sidebars_widgets();
  		$num_widgets = 0;
  		foreach ( (array) $sidebars_widgets as $k => $v ) {
--- 387,397 ----
  	$ct = current_theme_info();
  
  	echo "\n\t<p>";
! 
! 	if ( empty( $ct->stylesheet_dir ) ) {
! 		if ( ! is_multisite() || is_super_admin() )
! 			echo '<span class="error-message">' . __('ERROR: The themes directory is either empty or doesn&#8217;t exist. Please check your installation.') . '</span>';
! 	} elseif ( ! empty($wp_registered_sidebars) ) {
  		$sidebars_widgets = wp_get_sidebars_widgets();
  		$num_widgets = 0;
  		foreach ( (array) $sidebars_widgets as $k => $v ) {
***************
*** 531,538 ****
  		</div>
  
  		<?php if ( current_user_can( 'upload_files' ) ) : ?>
! 		<div id="media-buttons" class="hide-if-no-js">
! 			<?php do_action( 'media_buttons' ); ?>
  		</div>
  		<?php endif; ?>
  
--- 535,542 ----
  		</div>
  
  		<?php if ( current_user_can( 'upload_files' ) ) : ?>
! 		<div id="wp-content-wrap" class="wp-editor-wrap hide-if-no-js wp-media-buttons">
! 			<?php do_action( 'media_buttons', 'content' ); ?>
  		</div>
  		<?php endif; ?>
  
***************
*** 550,556 ****
  
  		<p class="submit">
  			<input type="hidden" name="action" id="quickpost-action" value="post-quickpress-save" />
! 			<input type="hidden" name="quickpress_post_ID" value="<?php echo $post_ID; ?>" />
  			<input type="hidden" name="post_type" value="post" />
  			<?php wp_nonce_field('add-post'); ?>
  			<?php submit_button( __( 'Save Draft' ), 'button', 'save', false, array( 'id' => 'save-post', 'tabindex'=> 4 ) ); ?>
--- 554,560 ----
  
  		<p class="submit">
  			<input type="hidden" name="action" id="quickpost-action" value="post-quickpress-save" />
! 			<input type="hidden" name="post_ID" value="<?php echo $post_ID; ?>" />
  			<input type="hidden" name="post_type" value="post" />
  			<?php wp_nonce_field('add-post'); ?>
  			<?php submit_button( __( 'Save Draft' ), 'button', 'save', false, array( 'id' => 'save-post', 'tabindex'=> 4 ) ); ?>
***************
*** 1023,1029 ****
   * Checks to see if all of the feed url in $check_urls are cached.
   *
   * If $check_urls is empty, look for the rss feed url found in the dashboard
!  * widget optios of $widget_id. If cached, call $callback, a function that
   * echoes out output for this widget. If not cache, echo a "Loading..." stub
   * which is later replaced by AJAX call (see top of /wp-admin/index.php)
   *
--- 1027,1033 ----
   * Checks to see if all of the feed url in $check_urls are cached.
   *
   * If $check_urls is empty, look for the rss feed url found in the dashboard
!  * widget options of $widget_id. If cached, call $callback, a function that
   * echoes out output for this widget. If not cache, echo a "Loading..." stub
   * which is later replaced by AJAX call (see top of /wp-admin/index.php)
   *
***************
*** 1189,1195 ****
  			$browser_nag_class = ' has-browser-icon';
  		}
  		$notice .= "<p class='browser-update-nag{$browser_nag_class}'>{$msg}</p>";
! 		$notice .= sprintf( __( '<p><a href="%1$s" class="update-browser-link">Update %2$s</a> or learn how to <a href="%3$s" class="browse-happy-link">browse happy</a></p>' ), esc_attr( $response['update_url'] ), esc_html( $response['name'] ), 'http://browsehappy.com/' );
  		$notice .= '<p class="hide-if-no-js"><a href="" class="dismiss">' . __( 'Dismiss' ) . '</a></p>';
  		$notice .= '<div class="clear"></div>';
  	}
--- 1193,1199 ----
  			$browser_nag_class = ' has-browser-icon';
  		}
  		$notice .= "<p class='browser-update-nag{$browser_nag_class}'>{$msg}</p>";
! 		$notice .= '<p>' . sprintf( __( '<a href="%1$s" class="update-browser-link">Update %2$s</a> or learn how to <a href="%3$s" class="browse-happy-link">browse happy</a>' ), esc_attr( $response['update_url'] ), esc_html( $response['name'] ), 'http://browsehappy.com/' ) . '</p>';
  		$notice .= '<p class="hide-if-no-js"><a href="" class="dismiss">' . __( 'Dismiss' ) . '</a></p>';
  		$notice .= '<div class="clear"></div>';
  	}
***************
*** 1259,1262 ****
--- 1263,1363 ----
   */
  function wp_dashboard_empty() {}
  
+ /**
+  * Displays a welcome panel to introduce users to WordPress.
+  *
+  * @since 3.3
+  */
+ function wp_welcome_panel() {
+ 	global $wp_version;
+ 
+ 	if ( ! current_user_can( 'edit_theme_options' ) )
+ 		return;
+ 
+ 	$classes = 'welcome-panel';
+ 
+ 	$option = get_user_meta( get_current_user_id(), 'show_welcome_panel', true );
+ 	// 0 = hide, 1 = toggled to show or single site creator, 2 = multisite site owner
+ 	$hide = 0 == $option || ( 2 == $option && wp_get_current_user()->user_email != get_option( 'admin_email' ) );
+ 	if ( $hide )
+ 		$classes .= ' hidden';
+ 
+ 	list( $display_version ) = explode( '-', $wp_version );
+ 	?>
+ 	<div id="welcome-panel" class="<?php echo esc_attr( $classes ); ?>">
+ 	<?php wp_nonce_field( 'welcome-panel-nonce', 'welcomepanelnonce', false ); ?>
+ 	<a class="welcome-panel-close" href="<?php echo esc_url( admin_url( '?welcome=0' ) ); ?>"><?php _e('Dismiss'); ?></a>
+ 	<div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
+ 
+ 	<div class="welcome-panel-content">
+ 	<h3><?php _e( 'Welcome to your new WordPress site! ' ); ?></h3>
+ 	<p class="about-description"><?php _e( 'If you need help getting started, check out our documentation on <a href="http://codex.wordpress.org/First_Steps_With_WordPress">First Steps with WordPress</a>. If you&#8217;d rather dive right in, here are a few things most people do first when they set up a new WordPress site. If you need help, use the Help tabs in the upper right corner to get information on how to use your current screen and where to go for more assistance.' ); ?></p>
+ 	<div class="welcome-panel-column-container">
+ 	<div class="welcome-panel-column">
+ 		<h4><span class="icon16 icon-settings"></span> <?php _e( 'Basic Settings' ); ?></h4>
+ 		<p><?php _e( 'Here are a few easy things you can do to get your feet wet. Make sure to click Save on each Settings screen.' ); ?></p>
+ 		<ul>
+ 		<li><?php echo sprintf(	__( '<a href="%s">Choose your privacy setting</a>' ), esc_url( admin_url('options-privacy.php') ) ); ?></li>
+ 		<li><?php echo sprintf( __( '<a href="%s">Select your tagline and time zone</a>' ), esc_url( admin_url('options-general.php') ) ); ?></li>
+ 		<li><?php echo sprintf( __( '<a href="%s">Turn comments on or off</a>' ), esc_url( admin_url('options-discussion.php') ) ); ?></li>
+ 		<li><?php echo sprintf( __( '<a href="%s">Fill in your profile</a>' ), esc_url( admin_url('profile.php') ) ); ?></li>
+ 		</ul>
+ 	</div>
+ 	<div class="welcome-panel-column">
+ 		<h4><span class="icon16 icon-page"></span> <?php _e( 'Add Real Content' ); ?></h4>
+ 		<p><?php _e( 'Check out the sample page & post editors to see how it all works, then delete the default content and write your own!' ); ?></p>
+ 		<ul>
+ 		<li><?php echo sprintf( __( 'View the <a href="%1$s">sample page</a> and <a href="%2$s">post</a>' ), esc_url( get_permalink( 2 ) ), esc_url( get_permalink( 1 ) ) ); ?></li>
+ 		<li><?php echo sprintf( __( 'Delete the <a href="%1$s">sample page</a> and <a href="%2$s">post</a>' ), esc_url( admin_url('edit.php?post_type=page') ), esc_url( admin_url('edit.php') ) ); ?></li>
+ 		<li><?php echo sprintf( __( '<a href="%s">Create an About Me page</a>' ), esc_url( admin_url('edit.php?post_type=page') ) ); ?></li>
+ 		<li><?php echo sprintf( __( '<a href="%s">Write your first post</a>' ), esc_url( admin_url('post-new.php') ) ); ?></li>
+ 		</ul>
+ 	</div>
+ 	<div class="welcome-panel-column welcome-panel-last">
+ 		<h4><span class="icon16 icon-appearance"></span> <?php _e( 'Customize Your Site' ); ?></h4>
+ 		<?php
+ 		$ct = current_theme_info();
+ 		if ( empty ( $ct->stylesheet_dir ) ) :
+ 			echo '<p>';
+ 			printf( __( '<a href="%s">Install a theme</a> to get started customizing your site.' ), esc_url( admin_url( 'themes.php' ) ) );
+ 			echo '</p>';
+ 		else:
+ 			$customize_links = array();
+ 			if ( 'twentyeleven' == $ct->stylesheet )
+ 				$customize_links[] = sprintf( __( '<a href="%s">Choose light or dark</a>' ), esc_url( admin_url( 'themes.php?page=theme_options' ) ) );
+ 
+ 			if ( current_theme_supports( 'custom-background' ) )
+ 				$customize_links[] = sprintf( __( '<a href="%s">Set a background color</a>' ), esc_url( admin_url( 'themes.php?page=custom-background' ) ) );
+ 
+ 			if ( current_theme_supports( 'custom-header' ) )
+ 				$customize_links[] = sprintf( __( '<a href="%s">Select a new header image</a>' ), esc_url( admin_url( 'themes.php?page=custom-header' ) ) );
+ 
+ 			if ( current_theme_supports( 'widgets' ) )
+ 				$customize_links[] = sprintf( __( '<a href="%s">Add some widgets</a>' ), esc_url( admin_url( 'widgets.php' ) ) );
+ 
+ 			if ( ! empty( $customize_links ) ) {
+ 				echo '<p>';
+ 				printf( __( 'Use the current theme &mdash; %1$s &mdash; or <a href="%2$s">choose a new one</a>. If you stick with %3$s, here are a few ways to make your site look unique.' ), $ct->title, esc_url( admin_url( 'themes.php' ) ), $ct->title );
+ 				echo '</p>';
+ 			?>
+ 			<ul>
+ 				<?php foreach ( $customize_links as $customize_link ) : ?>
+ 				<li><?php echo $customize_link ?></li>
+ 				<?php endforeach; ?>
+ 			</ul>
+ 			<?php
+ 			} else {
+ 				echo '<p>';
+ 				printf( __( 'Use the current theme &mdash; %1$s &mdash; or <a href="%2$s">choose a new one</a>.' ), $ct->title, esc_url( admin_url( 'themes.php' ) ) );
+ 				echo '</p>';
+ 			}
+ 		endif; ?>
+ 	</div>
+ 	</div>
+ 	<p class="welcome-panel-dismiss"><?php printf( __( 'Already know what you&#8217;re doing? <a href="%s">Dismiss this message</a>.' ), esc_url( admin_url( '?welcome=0' ) ) ); ?></p>
+ 	</div>
+ 	</div>
+ 	<?php
+ }
+ 
  ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/deprecated.php ./wordpress-3.3/wp-admin/includes/deprecated.php
*** ./wordpress-3.2.1/wp-admin/includes/deprecated.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/deprecated.php	2011-11-30 21:29:55.000000000 -0600
***************
*** 15,25 ****
  /**
   * @since 2.1
   * @deprecated 2.1
!  * @deprecated Use wp_tiny_mce().
!  * @see wp_tiny_mce()
   */
  function tinymce_include() {
! 	_deprecated_function( __FUNCTION__, '2.1', 'wp_tiny_mce()' );
  
  	wp_tiny_mce();
  }
--- 15,25 ----
  /**
   * @since 2.1
   * @deprecated 2.1
!  * @deprecated Use wp_editor().
!  * @see wp_editor()
   */
  function tinymce_include() {
! 	_deprecated_function( __FUNCTION__, '2.1', 'wp_editor()' );
  
  	wp_tiny_mce();
  }
***************
*** 37,43 ****
  }
  
  /**
!  * Calculates the new dimentions for a downsampled image.
   *
   * @since 2.0.0
   * @deprecated 3.0.0
--- 37,43 ----
  }
  
  /**
!  * Calculates the new dimensions for a downsampled image.
   *
   * @since 2.0.0
   * @deprecated 3.0.0
***************
*** 255,261 ****
  
  	if ( ! $user->has_cap($post_type_obj->cap->edit_others_posts) ) {
  		if ( $user->has_cap($post_type_obj->cap->edit_posts) || ! $exclude_zeros )
! 			return array($user->id);
  		else
  			return array();
  	}
--- 255,261 ----
  
  	if ( ! $user->has_cap($post_type_obj->cap->edit_others_posts) ) {
  		if ( $user->has_cap($post_type_obj->cap->edit_posts) || ! $exclude_zeros )
! 			return array($user->ID);
  		else
  			return array();
  	}
***************
*** 701,703 ****
--- 701,883 ----
  	_deprecated_function( __FUNCTION__, '3.2', 'wp_dashboard_quick_press()' );
  	wp_dashboard_quick_press();
  }
+ 
+ /**
+  * @since 2.7.0
+  * @deprecated 3.3
+  * @deprecated Use wp_editor()
+  * @see wp_editor()
+  */
+ function wp_tiny_mce( $teeny = false, $settings = false ) {
+ 	_deprecated_function( __FUNCTION__, '3.3', 'wp_editor()' );
+ 
+ 	static $num = 1;
+ 
+ 	if ( ! class_exists('_WP_Editors' ) )
+ 		require_once( ABSPATH . WPINC . '/class-wp-editor.php' );
+ 
+ 	$editor_id = 'content' . $num++;
+ 
+ 	$set = array(
+ 		'teeny' => $teeny,
+ 		'tinymce' => $settings ? $settings : true,
+ 		'quicktags' => false
+ 	);
+ 
+ 	$set = _WP_Editors::parse_settings($editor_id, $set);
+ 	_WP_Editors::editor_settings($editor_id, $set);
+ }
+ 
+ /**
+  * @deprecated 3.3.0
+  * @deprecated Use wp_editor()
+  * @see wp_editor()
+  */
+ function wp_preload_dialogs() {
+ 	_deprecated_function( __FUNCTION__, '3.3', 'wp_editor()' );
+ }
+ 
+ /**
+  * @deprecated 3.3.0
+  * @deprecated Use wp_editor()
+  * @see wp_editor()
+  */
+ function wp_print_editor_js() {
+ 	_deprecated_function( __FUNCTION__, '3.3', 'wp_editor()' );
+ }
+ 
+ /**
+  * @deprecated 3.3.0
+  * @deprecated Use wp_editor()
+  * @see wp_editor()
+  */
+ function wp_quicktags() {
+ 	_deprecated_function( __FUNCTION__, '3.3', 'wp_editor()' );
+ }
+ 
+ /**
+  * Returns the screen layout options.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3.0
+  * @deprecated Use $current_screen->render_screen_layout()
+  * @see WP_Screen::render_screen_layout()
+  */
+ function screen_layout( $screen ) {
+ 	_deprecated_function( __FUNCTION__, '3.3', '$current_screen->render_screen_layout()' );
+ 
+ 	$current_screen = get_current_screen();
+ 
+ 	if ( ! $current_screen )
+ 		return '';
+ 
+ 	ob_start();
+ 	$current_screen->render_screen_layout();
+ 	return ob_get_clean();
+ }
+ 
+ /**
+  * Returns the screen's per-page options.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3.0
+  * @deprecated Use $current_screen->render_per_page_options()
+  * @see WP_Screen::render_per_page_options()
+  */
+ function screen_options( $screen ) {
+ 	_deprecated_function( __FUNCTION__, '3.3', '$current_screen->render_per_page_options()' );
+ 
+ 	$current_screen = get_current_screen();
+ 
+ 	if ( ! $current_screen )
+ 		return '';
+ 
+ 	ob_start();
+ 	$current_screen->render_per_page_options();
+ 	return ob_get_clean();
+ }
+ 
+ /**
+  * Renders the screen's help.
+  *
+  * @since 2.7.0
+  * @deprecated 3.3.0
+  * @deprecated Use $current_screen->render_screen_meta()
+  * @see WP_Screen::render_screen_meta()
+  */
+ function screen_meta( $screen ) {
+ 	$current_screen = get_current_screen();
+ 	$current_screen->render_screen_meta();
+ }
+ 
+ /**
+  * Favorite actions were deprecated in version 3.2. Use the admin bar instead.
+  *
+  * @since 2.7.0
+  * @deprecated 3.2.0
+  */
+ function favorite_actions() {
+ 	_deprecated_function( __FUNCTION__, '3.2', 'WP_Admin_Bar' );
+ }
+ 
+ function media_upload_image() {
+ 	__deprecated_function( __FUNCTION__, '3.3', 'wp_media_upload_handler()' );
+ 	return wp_media_upload_handler();
+ }
+ 
+ function media_upload_audio() {
+ 	__deprecated_function( __FUNCTION__, '3.3', 'wp_media_upload_handler()' );
+ 	return wp_media_upload_handler();
+ }
+ 
+ function media_upload_video() {
+ 	__deprecated_function( __FUNCTION__, '3.3', 'wp_media_upload_handler()' );
+ 	return wp_media_upload_handler();
+ }
+ 
+ function media_upload_file() {
+ 	__deprecated_function( __FUNCTION__, '3.3', 'wp_media_upload_handler()' );
+ 	return wp_media_upload_handler();
+ }
+ 
+ function type_url_form_image() {
+ 	__deprecated_function( __FUNCTION__, '3.3', "wp_media_insert_url_form('image')" );
+ 	return wp_media_insert_url_form( 'image' );
+ }
+ 
+ function type_url_form_audio() {
+ 	__deprecated_function( __FUNCTION__, '3.3', "wp_media_insert_url_form('audio')" );
+ 	return wp_media_insert_url_form( 'audio' );
+ }
+ 
+ function type_url_form_video() {
+ 	__deprecated_function( __FUNCTION__, '3.3', "wp_media_insert_url_form('video')" );
+ 	return wp_media_insert_url_form( 'video' );
+ }
+ 
+ function type_url_form_file() {
+ 	__deprecated_function( __FUNCTION__, '3.3', "wp_media_insert_url_form('file')" );
+ 	return wp_media_insert_url_form( 'file' );
+ }
+ 
+ /**
+  * Add contextual help text for a page.
+  *
+  * Creates an 'Overview' help tab.
+  *
+  * @since 2.7.0
+  * @deprecated 3.3.0
+  * @deprecated Use get_current_screen()->add_help_tab()
+  * @see WP_Screen
+  *
+  * @param string    $screen The handle for the screen to add help to.  This is usually the hook name returned by the add_*_page() functions.
+  * @param string    $help   The content of an 'Overview' help tab.
+  */
+ function add_contextual_help( $screen, $help ) {
+ 	_deprecated_function( __FUNCTION__, '3.3', 'get_current_screen()->add_help_tab()' );
+ 
+ 	if ( is_string( $screen ) )
+ 		$screen = convert_to_screen( $screen );
+ 
+ 	WP_Screen::add_old_compat_help( $screen, $help );
+ }
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/export.php ./wordpress-3.3/wp-admin/includes/export.php
*** ./wordpress-3.2.1/wp-admin/includes/export.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/export.php	2011-11-09 13:32:44.000000000 -0600
***************
*** 243,249 ****
  
  		$authors = array_filter( $authors );
  
! 		foreach( $authors as $author ) {
  			echo "\t<wp:author>";
  			echo '<wp:author_id>' . $author->ID . '</wp:author_id>';
  			echo '<wp:author_login>' . $author->user_login . '</wp:author_login>';
--- 243,249 ----
  
  		$authors = array_filter( $authors );
  
! 		foreach ( $authors as $author ) {
  			echo "\t<wp:author>";
  			echo '<wp:author_id>' . $author->ID . '</wp:author_id>';
  			echo '<wp:author_login>' . $author->user_login . '</wp:author_login>';
***************
*** 290,295 ****
--- 290,302 ----
  		}
  	}
  
+ 	function wxr_filter_postmeta( $return_me, $meta_key ) {
+ 		if ( '_edit_lock' == $meta_key )
+ 			$return_me = true;
+ 		return $return_me;
+ 	}
+ 	add_filter( 'wxr_export_skip_postmeta', 'wxr_filter_postmeta', 10, 2 );
+ 
  	echo '<?xml version="1.0" encoding="' . get_bloginfo('charset') . "\" ?>\n";
  
  	?>
***************
*** 384,395 ****
  <?php 	endif; ?>
  <?php 	wxr_post_taxonomy(); ?>
  <?php	$postmeta = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM $wpdb->postmeta WHERE post_id = %d", $post->ID ) );
! 		foreach( $postmeta as $meta ) : if ( $meta->meta_key != '_edit_lock' ) : ?>
  		<wp:postmeta>
  			<wp:meta_key><?php echo $meta->meta_key; ?></wp:meta_key>
  			<wp:meta_value><?php echo wxr_cdata( $meta->meta_value ); ?></wp:meta_value>
  		</wp:postmeta>
! <?php	endif; endforeach; ?>
  <?php	$comments = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM $wpdb->comments WHERE comment_post_ID = %d AND comment_approved <> 'spam'", $post->ID ) );
  		foreach ( $comments as $c ) : ?>
  		<wp:comment>
--- 391,405 ----
  <?php 	endif; ?>
  <?php 	wxr_post_taxonomy(); ?>
  <?php	$postmeta = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM $wpdb->postmeta WHERE post_id = %d", $post->ID ) );
! 		foreach ( $postmeta as $meta ) :
! 			if ( apply_filters( 'wxr_export_skip_postmeta', false, $meta->meta_key, $meta ) )
! 				continue;
! 		?>
  		<wp:postmeta>
  			<wp:meta_key><?php echo $meta->meta_key; ?></wp:meta_key>
  			<wp:meta_value><?php echo wxr_cdata( $meta->meta_value ); ?></wp:meta_value>
  		</wp:postmeta>
! <?php	endforeach; ?>
  <?php	$comments = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM $wpdb->comments WHERE comment_post_ID = %d AND comment_approved <> 'spam'", $post->ID ) );
  		foreach ( $comments as $c ) : ?>
  		<wp:comment>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/file.php ./wordpress-3.3/wp-admin/includes/file.php
*** ./wordpress-3.2.1/wp-admin/includes/file.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/file.php	2011-11-08 16:34:09.000000000 -0600
***************
*** 261,267 ****
  		__( "Failed to write file to disk." ),
  		__( "File upload stopped by extension." ));
  
! 	// All tests are on by default. Most can be turned off by $override[{test_name}] = false;
  	$test_form = true;
  	$test_size = true;
  	$test_upload = true;
--- 261,267 ----
  		__( "Failed to write file to disk." ),
  		__( "File upload stopped by extension." ));
  
! 	// All tests are on by default. Most can be turned off by $overrides[{test_name}] = false;
  	$test_form = true;
  	$test_size = true;
  	$test_upload = true;
***************
*** 323,333 ****
  
  	$filename = wp_unique_filename( $uploads['path'], $file['name'], $unique_filename_callback );
  
  	// Move the file to the uploads dir
! 	$new_file = $uploads['path'] . "/$filename";
! 	if ( false === @ move_uploaded_file( $file['tmp_name'], $new_file ) )
  		return $upload_error_handler( $file, sprintf( __('The uploaded file could not be moved to %s.' ), $uploads['path'] ) );
  
  	// Set correct file permissions
  	$stat = stat( dirname( $new_file ));
  	$perms = $stat['mode'] & 0000666;
--- 323,353 ----
  
  	$filename = wp_unique_filename( $uploads['path'], $file['name'], $unique_filename_callback );
  
+ 	$tmp_file = wp_tempnam($filename);
+ 
  	// Move the file to the uploads dir
! 	if ( false === @ move_uploaded_file( $file['tmp_name'], $tmp_file ) )
  		return $upload_error_handler( $file, sprintf( __('The uploaded file could not be moved to %s.' ), $uploads['path'] ) );
  
+ 	// If a resize was requested, perform the resize.
+ 	$image_resize = isset( $_POST['image_resize'] ) && 'true' == $_POST['image_resize'];
+ 	$do_resize = apply_filters( 'wp_upload_resize', $image_resize );
+ 	$size = @getimagesize( $tmp_file );
+ 	if ( $do_resize && $size ) {
+ 		$old_temp = $tmp_file;
+ 		$tmp_file = image_resize( $tmp_file, (int) get_option('large_size_w'), (int) get_option('large_size_h'), 0, 'resized');
+ 		if ( ! is_wp_error($tmp_file) ) {
+ 			unlink($old_temp);
+ 		} else {
+ 			$tmp_file = $old_temp;
+ 		}
+ 	}
+ 
+ 	// Copy the temporary file into its destination
+ 	$new_file = $uploads['path'] . "/$filename";
+ 	copy( $tmp_file, $new_file );
+ 	unlink($tmp_file);
+ 
  	// Set correct file permissions
  	$stat = stat( dirname( $new_file ));
  	$perms = $stat['mode'] & 0000666;
***************
*** 343,349 ****
  }
  
  /**
!  * Handle sideloads, which is the process of retriving a media item from another server instead of
   * a traditional media upload.  This process involves sanitizing the filename, checking extensions
   * for mime type, and moving the file to the appropriate directory within the uploads directory.
   *
--- 363,369 ----
  }
  
  /**
!  * Handle sideloads, which is the process of retrieving a media item from another server instead of
   * a traditional media upload.  This process involves sanitizing the filename, checking extensions
   * for mime type, and moving the file to the appropriate directory within the uploads directory.
   *
***************
*** 387,393 ****
  		__( "Failed to write file to disk." ),
  		__( "File upload stopped by extension." ));
  
! 	// All tests are on by default. Most can be turned off by $override[{test_name}] = false;
  	$test_form = true;
  	$test_size = true;
  
--- 407,413 ----
  		__( "Failed to write file to disk." ),
  		__( "File upload stopped by extension." ));
  
! 	// All tests are on by default. Most can be turned off by $overrides[{test_name}] = false;
  	$test_form = true;
  	$test_size = true;
  
***************
*** 499,505 ****
  }
  
  /**
!  * Unzip's a specified ZIP file to a location on the Filesystem via the WordPress Filesystem Abstraction.
   * Assumes that WP_Filesystem() has already been called and set up. Does not extract a root-level __MACOSX directory, if present.
   *
   * Attempts to increase the PHP Memory limit to 256M before uncompressing,
--- 519,525 ----
  }
  
  /**
!  * Unzips a specified ZIP file to a location on the Filesystem via the WordPress Filesystem Abstraction.
   * Assumes that WP_Filesystem() has already been called and set up. Does not extract a root-level __MACOSX directory, if present.
   *
   * Attempts to increase the PHP Memory limit to 256M before uncompressing,
***************
*** 813,819 ****
  		return false;
  
  	if ( !$wp_filesystem->connect() )
! 		return false; //There was an erorr connecting to the server.
  
  	// Set the permission constants if not already set.
  	if ( ! defined('FS_CHMOD_DIR') )
--- 833,839 ----
  		return false;
  
  	if ( !$wp_filesystem->connect() )
! 		return false; //There was an error connecting to the server.
  
  	// Set the permission constants if not already set.
  	if ( ! defined('FS_CHMOD_DIR') )
***************
*** 826,832 ****
  
  /**
   * Determines which Filesystem Method to use.
!  * The priority of the Transports are: Direct, SSH2, FTP PHP Extension, FTP Sockets (Via Sockets class, or fsoxkopen())
   *
   * Note that the return value of this function can be overridden in 2 ways
   *  - By defining FS_METHOD in your <code>wp-config.php</code> file
--- 846,852 ----
  
  /**
   * Determines which Filesystem Method to use.
!  * The priority of the Transports are: Direct, SSH2, FTP PHP Extension, FTP Sockets (Via Sockets class, or fsockopen())
   *
   * Note that the return value of this function can be overridden in 2 ways
   *  - By defining FS_METHOD in your <code>wp-config.php</code> file
***************
*** 945,951 ****
  	if ( !empty($credentials) )
  		extract($credentials, EXTR_OVERWRITE);
  	if ( $error ) {
! 		$error_string = __('<strong>Error:</strong> There was an error connecting to the server, Please verify the settings are correct.');
  		if ( is_wp_error($error) )
  			$error_string = esc_html( $error->get_error_message() );
  		echo '<div id="message" class="error"><p>' . $error_string . '</p></div>';
--- 965,971 ----
  	if ( !empty($credentials) )
  		extract($credentials, EXTR_OVERWRITE);
  	if ( $error ) {
! 		$error_string = __('<strong>ERROR:</strong> There was an error connecting to the server, Please verify the settings are correct.');
  		if ( is_wp_error($error) )
  			$error_string = esc_html( $error->get_error_message() );
  		echo '<div id="message" class="error"><p>' . $error_string . '</p></div>';
